POST api/PatientResponsibleBalance

Modify the value of the patient responsible balance.

Request Information

URI Parameters

None.

Body Parameters

PatientResponsibleBalanceModel
NameDescriptionTypeAdditional information
PatientExternalId

Unique ID of the patient on integrating system (Required, it can be zero).

string

None.

AmountDue

Amount due by the patient (Required).

decimal number

None.

DueDate

Date where the payment is due (set to null to empty the date).

date

None.

CreatedUtc

Date and time in which the patient responsible balance was created (UTC)

date

None.

Request Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "amountDue": 2.0,
  "dueDate": "2026-05-29T16:58:01.0484998+00:00",
  "createdUtc": "2026-05-29T16:58:01.0484998+00:00"
}

application/xml, text/xml

Sample:
<PatientResponsibleBalanceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.BillPay.PatientResponsibleBalance">
  <AmountDue>2</AmountDue>
  <CreatedUtc>2026-05-29T16:58:01.0484998+00:00</CreatedUtc>
  <DueDate>2026-05-29T16:58:01.0484998+00:00</DueDate>
  <PatientExternalId>sample string 1</PatientExternalId>
</PatientResponsibleBalanceModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PatientResponsibleBalanceModel'.

Response Information

Resource Description

PatientResponsibleBalanceModel
NameDescriptionTypeAdditional information
PatientExternalId

Unique ID of the patient on integrating system (Required, it can be zero).

string

None.

AmountDue

Amount due by the patient (Required).

decimal number

None.

DueDate

Date where the payment is due (set to null to empty the date).

date

None.

CreatedUtc

Date and time in which the patient responsible balance was created (UTC)

date

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "amountDue": 2.0,
  "dueDate": "2026-05-29T16:58:01.0526058+00:00",
  "createdUtc": "2026-05-29T16:58:01.0526058+00:00"
}

application/xml, text/xml

Sample:
<PatientResponsibleBalanceModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.BillPay.PatientResponsibleBalance">
  <AmountDue>2</AmountDue>
  <CreatedUtc>2026-05-29T16:58:01.0526058+00:00</CreatedUtc>
  <DueDate>2026-05-29T16:58:01.0526058+00:00</DueDate>
  <PatientExternalId>sample string 1</PatientExternalId>
</PatientResponsibleBalanceModel>